maintainer-feedback requested: [Bug 257309] sysutils/beats7 7.13 compatibility to non-Elastic distributions

From: <bugzilla-noreply_at_freebsd.org>
Date: Wed, 21 Jul 2021 10:27:56 +0000
Bugzilla Automation <bugzilla_at_FreeBSD.org> has asked freebsd-elastic (Nobody)
<elastic_at_FreeBSD.org> for maintainer-feedback:
Bug 257309: sysutils/beats7 7.13 compatibility to non-Elastic distributions
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257309



--- Description ---
Version 7.13 broke compatibility with 7.10 or earlier open source distributions
of Elasticsearch [1]. To point at the elephant, 7.13 doesn't connect to AWS
ElasticSearch any more. This is a breaking change on a minor version with no
warning to users, not even the standard message in UPDATING as far as I can
tell. Not nice.

That means that some users of quarterly pkgs will soon find that beats7 isn't
working any more with no documented workaround and no warning. Are there any
plans to mitigate this?


[1]
https://www.elastic.co/guide/en/beats/libbeat/current/breaking-changes-7.13.htm
l#breaking-changes-7.13
Received on Wed Jul 21 2021 - 10:27:56 UTC

Original text of this message